# org.pdfclown.documents.contents.layers.Layers Class Reference

Optional content group collection. More...

Inheritance diagram for org.pdfclown.documents.contents.layers.Layers:

List of all members.

## Classes
class | ItemWrapper
## Public Member Functions
override int | IndexOf (ILayerNode item)
override void | Insert (int index, ILayerNode item)
| Layers (Document context, string title)
| Layers (Document context)
override void | RemoveAt (int index)
override string | ToString ()
## Static Public Member Functions
static Layers | Wrap (PdfDirectObject baseObject)
## Properties
PdfDirectObject | BaseObject`[get]`
| Gets the underlying reference object, if available; otherwise, gets the underlying data object.
override int | Count`[get]`
override ILayerNode | this [int index]`[get, set]`
string | Title`[get, set]`
| Gets/Sets the text label.

##

Optional content group collection.

## Constructor & Destructor Documentation

org.pdfclown.documents.contents.layers.Layers.Layers | ( | Document | context | ) |

org.pdfclown.documents.contents.layers.Layers.Layers | ( | Document | context,
|  | string | title |
| ) |  |  |

## Member Function Documentation

override int org.pdfclown.documents.contents.layers.Layers.IndexOf | ( | ILayerNode | item | ) |

override void org.pdfclown.documents.contents.layers.Layers.Insert | ( | int | index,
|  | ILayerNode | item |
| ) |  |  |

override void org.pdfclown.documents.contents.layers.Layers.RemoveAt | ( | int | index | ) |

override string org.pdfclown.documents.contents.layers.Layers.ToString | ( |  | ) |

static Layers org.pdfclown.documents.contents.layers.Layers.Wrap | ( | PdfDirectObject | baseObject | ) | `[static]`

## Property Documentation

PdfDirectObject org.pdfclown.objects.IPdfObjectWrapper.BaseObject`[get, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

Implemented in org.pdfclown.objects.PdfObjectWrapper.

Referenced by org.pdfclown.documents.interaction.actions.SetLayerState.LayerStates.Add(), and org.pdfclown.documents.interaction.actions.SetLayerState.LayerStates.Insert().

override int org.pdfclown.documents.contents.layers.Layers.Count`[get]`

override ILayerNode org.pdfclown.documents.contents.layers.Layers.this[int index]`[get, set]`

string org.pdfclown.documents.contents.layers.Layers.Title`[get, set]`

Gets/Sets the text label.

Implements org.pdfclown.documents.contents.layers.ILayerNode.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.